The default bug view has changed. See this FAQ.

[SeaMonkey] mochitest-a11y: test_focus_browserui.xul needs to support non-Firefox applications too

VERIFIED FIXED in Firefox 11

Status

()

Core
Disability Access APIs
--
major
VERIFIED FIXED
5 years ago
5 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

(Blocks: 2 bugs, {regression})

Trunk
mozilla12
regression
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox10 wontfix, firefox11 verified, firefox-esr10 affected)

Details

(Whiteboard: [perma-orange][qa-])

Attachments

(1 attachment)

(Assignee)

Description

5 years ago
*** -central (SM 2.9a1)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326361698.1326367507.16404.gz
Linux comm-central-trunk debug test mochitest-other on 2012/01/12 01:48:18
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326388809.1326394668.30253.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/01/12 09:20:09
{
2656 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_autocomplete.xul | Test timed out.
2659 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_browserui.xul | an unexpected uncaught JS exception reported through window.onerror - gA11yEventListeners is undefined at chrome://mochitests/content/a11y/accessible/events.js:1438
...
}


*** -central (SM 2.8a1)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1323799851.1323804508.24037.gz
Linux comm-central-trunk debug test mochitest-other on 2011/12/13 10:10:51
rev:78ef1297c71d
moz:3c321d2c9884
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1323811305.1323817188.20851.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2011/12/13 13:21:45
rev:808503d44ba1
moz:271d2711b66c

Already failing.


*** -aurora (SM 2.8a2)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1324606962.1324610751.6310.gz
WINNT 5.2 comm-aurora debug test mochitest-other on 2011/12/22 18:22:42
rev:229f9bf65df3
moz:7c408ff60a8e
{
mochitest-a11y
3826/25630/8
}

2nd regression.

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1324549783.1324553560.18778.gz
WINNT 5.2 comm-aurora debug test mochitest-other on 2011/12/22 02:29:43
rev:ae083d2568ed
moz:7c408ff60a8e
{
2657 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_autocomplete.xul | Test timed out.

2662 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_browserui.xul | an unexpected uncaught JS exception reported through window.onerror - gA11yEventListeners is undefined at chrome://mochitests/content/a11y/accessible/events.js:1438
...

mochitest-a11y
4272/9663/1180
}

1st regression.

Regression timeframe:
http://hg.mozilla.org/releases/comm-aurora/pushloghtml?fromchange=e2a0482484a7&tochange=ae083d2568ed
http://hg.mozilla.org/releases/mozilla-aurora/pushloghtml?fromchange=0d8490e27457&tochange=7c408ff60a8e
MANY MANY changesets: *_BASE_20111220 !


*** -aurora (SM 2.7a2)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1324428016.1324431849.20087.gz
WINNT 5.2 comm-aurora debug test mochitest-other on 2011/12/20 16:40:16
rev:e2a0482484a7
moz:0d8490e27457
{
2779 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_focus_autocomplete.xul | Test timed out.

mochitest-a11y
2495/1/7
}

Not this bug (yet).
(Assignee)

Comment 1

5 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1326379757.1326383572.2684.gz
WINNT 5.2 comm-beta debug test mochitest-other on 2012/01/12 06:49:17
{
2787 INFO TEST-INFO | chrome://mochitests/content/a11y/accessible/events/test_focus_browserui.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred: gA11yEventListeners is undefined at chrome://mochitests/content/a11y/accessible/events.js:1437
}

Hum, the test(s) didn't change,
but, after bug 652494, these "warnings" are now errors...

*****

Locally, with an opt build, I reproduce a timeout, with an Error Console warning:
"No chrome package registered for chrome://browser/content/browser.xul"
Blocks: 652494
status-firefox11: --- → affected
(Assignee)

Comment 2

5 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #1)
> "No chrome package registered for chrome://browser/content/browser.xul"

http://mxr.mozilla.org/comm-central/source/mozilla/browser/base/content/browser.xul
is Firefox specific :-<

***

SeaMonkey equivalent is
http://mxr.mozilla.org/comm-central/source/suite/browser/navigator.xul
to be loaded through
"chrome://navigator/content/navigator.xul"

As a confirmztion,
if I s|"chrome://browser/content/"|"chrome://navigator/content/navigator.xul"|
in test_focus_browserui.xul, then that test succeeds :-)
Assignee: nobody → sgautherie.bz
Status: NEW → ASSIGNED
Depends on: 647414
Target Milestone: --- → mozilla12
(Assignee)

Comment 3

5 years ago
Created attachment 588258 [details] [diff] [review]
(Av1) test_focus_browserui.xul: Support SeaMonkey too
[Checked in: See comments 7 and 14]

I also used Firefox URI rather than URL, to be more explicit (easier MXR search, ...).

NB: This one test is the cause of all (but 1) of the (new) errors :-/
Attachment #588258 - Flags: review?(marco.zehe)
(Assignee)

Updated

5 years ago
Blocks: 673958
No longer depends on: 647414

Comment 4

5 years ago
Comment on attachment 588258 [details] [diff] [review]
(Av1) test_focus_browserui.xul: Support SeaMonkey too
[Checked in: See comments 7 and 14]

r=me. Thanks for fixing this!
Attachment #588258 - Flags: review?(marco.zehe) → review+

Comment 5

5 years ago
Shouldn't you be using the browser.chromeURL preference?
(Assignee)

Updated

5 years ago
Blocks: 717963
(Assignee)

Comment 6

5 years ago
(In reply to neil@parkwaycc.co.uk from comment #5)
> Shouldn't you be using the browser.chromeURL preference?

Thanks! I'll do that.

http://kb.mozillazine.org/Browser.chromeURL
Blocks: 717969
No longer blocks: 717963
Summary: [SeaMonkey] mochitest-a11y: lots(!) of tests fail → [SeaMonkey] mochitest-a11y: test_focus_browserui.xul fails and causes lots/all of following tests to fail too
(Assignee)

Comment 7

5 years ago
Comment on attachment 588258 [details] [diff] [review]
(Av1) test_focus_browserui.xul: Support SeaMonkey too
[Checked in: See comments 7 and 14]

https://hg.mozilla.org/mozilla-central/rev/1a94821b4655
Av1, with comment 5 suggestion(s).


[Approval Request Comment]
Regression caused by (bug #): bug 652494.
User impact if declined: none, just perma-orange on SeaMonkey for almost the whole a11y suite.
Testing completed (on m-c, etc.): this comment, (soon) to be verified.
Risk to taking this patch (and alternatives if risky): "No risk", test-only which doesn't change anything on "Firefox" side.
Attachment #588258 - Attachment description: (Av1) test_focus_browserui.xul: Support SeaMonkey too → (Av1) test_focus_browserui.xul: Support SeaMonkey too [Checked in: See comment 7]
Attachment #588258 - Flags: approval-mozilla-aurora?
(Assignee)

Updated

5 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
status-firefox10: --- → wontfix
Flags: in-testsuite+
Resolution: --- → FIXED
(In reply to Serge Gautherie (:sgautherie) from comment #7)
> Comment on attachment 588258 [details] [diff] [review]
> (Av1) test_focus_browserui.xul: Support SeaMonkey too
> [Checked in: See comment 7]
> 
> https://hg.mozilla.org/mozilla-central/rev/1a94821b4655
> Av1, with comment 5 suggestion(s).

IMO, the pref choice here probably should have had review (but I'm not sure, not thinking on it too hard)

> [Approval Request Comment]

IMO, this test-change is not worth it on aurora, given that SeaMonkey on aurora still has horrid test-coverage results atm, so I don't think we'd gain all that much by getting this approved/checked-in.
(Assignee)

Comment 9

5 years ago
(In reply to Justin Wood (:Callek) from comment #8)

> IMO, the pref choice here probably should have had review (but I'm not sure,
> not thinking on it too hard)

I don't disagree, but please ... there are review requests (of mine) waiting for you if you have spare time :-|

> > [Approval Request Comment]
> 
> IMO, this test-change is not worth it on aurora, given that SeaMonkey on
> aurora still has horrid test-coverage results atm, so I don't think we'd
> gain all that much by getting this approved/checked-in.

This fix helps (me) uncover hidden/remaining failures: as in less horrid.
Given how much time I(!) spend trying to sort (and fix) all these failures out once again, please ... let me choose which fixes I would like to be backported:
this one is one of the few.
(Assignee)

Comment 10

5 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> 2656 ERROR TEST-UNEXPECTED-FAIL |
> chrome://mochitests/content/a11y/accessible/events/test_focus_autocomplete.
> xul | Test timed out.

(In reply to Serge Gautherie (:sgautherie) from comment #3)
> NB: This one test is the cause of all (but 1) of the (new) errors :-/

Err, it's test_focus_autocomplete.xul which actually triggers "all" the other failures.
(I must have confused something when I tested at that time.)

I filed bug 718237 about test_focus_autocomplete.xul timeout.
I filed bug 718235 about the 1 uncovered failure.

*****

(In reply to Serge Gautherie (:sgautherie) from comment #1)
> Locally, with an opt build, I reproduce a timeout

(In reply to Serge Gautherie (:sgautherie) from comment #9)
> This fix helps (me) uncover hidden/remaining failures: as in less horrid.

I was wrong at that. I agree this fix is less important then I thought previously.
Yet, it would avoid a (long) timeout if/when bug 718237 is fixed on (SM 2.8) Aurora.
(Assignee)

Updated

5 years ago
Summary: [SeaMonkey] mochitest-a11y: test_focus_browserui.xul fails and causes lots/all of following tests to fail too → [SeaMonkey] mochitest-a11y: test_focus_browserui.xul needs to support non-Firefox applications too
(Assignee)

Updated

5 years ago
No longer blocks: 652494
Comment on attachment 588258 [details] [diff] [review]
(Av1) test_focus_browserui.xul: Support SeaMonkey too
[Checked in: See comments 7 and 14]

[Triage Comment]
I understand that the benefit here may not be great, but this is a test-only fix without any effect on Firefox. It's difficult to argue that we shouldn't take it for risk reasons, so I'm just going to a+
Attachment #588258 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
(Assignee)

Updated

5 years ago
Keywords: checkin-needed
Whiteboard: [perma-orange] → [c-n: to m-a] [perma-orange]
This missed aurora, removing checkin-needed to help clear out the checkin-needed saved search (presume you would need re-approval for beta anyway).
Keywords: checkin-needed
Whiteboard: [c-n: to m-a] [perma-orange] → [perma-orange]
(Assignee)

Comment 13

5 years ago
Comment on attachment 588258 [details] [diff] [review]
(Av1) test_focus_browserui.xul: Support SeaMonkey too
[Checked in: See comments 7 and 14]

[Approval Request Comment]
Per comment 12.
Attachment #588258 - Flags: approval-mozilla-beta?

Updated

5 years ago
Attachment #588258 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
(Assignee)

Updated

5 years ago
status-firefox-esr10: --- → affected
Keywords: checkin-needed
Whiteboard: [perma-orange] → [c-n: to m-b] [perma-orange]
Comment on attachment 588258 [details] [diff] [review]
(Av1) test_focus_browserui.xul: Support SeaMonkey too
[Checked in: See comments 7 and 14]

http://hg.mozilla.org/releases/mozilla-beta/rev/05373b38efdc
Attachment #588258 - Attachment description: (Av1) test_focus_browserui.xul: Support SeaMonkey too [Checked in: See comment 7] → (Av1) test_focus_browserui.xul: Support SeaMonkey too [Checked in: See comments 7 and 14]
status-firefox11: affected → fixed
Keywords: checkin-needed
Whiteboard: [c-n: to m-b] [perma-orange] → [perma-orange]
Whiteboard: [perma-orange] → [perma-orange][qa-]
(Assignee)

Comment 15

5 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #7)
> https://hg.mozilla.org/mozilla-central/rev/1a94821b4655

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1330071749.1330076464.18395.gz&fulltext=1
WINNT 5.2 comm-aurora debug test mochitest-other on 2012/02/24 00:22:29
{
2689 INFO TEST-END | chrome://mochitests/content/a11y/accessible/events/test_focus_browserui.xul | finished in 5523ms
}

V.Fixed


(In reply to Jens Hatlak (:InvisibleSmiley) from comment #14)
> http://hg.mozilla.org/releases/mozilla-beta/rev/05373b38efdc

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1330085913.1330089588.19091.gz&fulltext=1
WINNT 5.2 comm-beta debug test mochitest-other on 2012/02/24 04:18:33
{
2680 INFO TEST-END | chrome://mochitests/content/a11y/accessible/events/test_focus_browserui.xul | finished in 5174ms
}

firefox11: verified.
Status: RESOLVED → VERIFIED
status-firefox11: fixed → verified
(Assignee)

Updated

5 years ago
No longer depends on: 712540
You need to log in before you can comment on or make changes to this bug.